package de.hdm_stuttgart.battlearena.Controller;

import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class MainMenuController {
    @FXML
    public VBox parent;
    @FXML
    public Button exitButton;
    private final SceneLoader sceneLoader = new SceneLoader();

    private void switchScene(String name) {
//        get(0) returns the first item from the getChildren() List
        parent.getChildren().clear();
        parent.getChildren().add(sceneLoader.loadScene(name));
    }
    public void playScene() {
        switchScene("Play");
    }

    public void statisticsScene() {
        switchScene("Statistics");
    }

    public void exit() {
        Stage stage = (Stage) exitButton.getScene().getWindow();
        stage.close();
    }


//    TODO: create skin selectiion scene
}
